data[].status)| Value | Name | Meaning |
|---|---|---|
| 0 | Idle | Not activated. |
| 1 | Activated | Activated. This is the only order status returned by this endpoint. |
| 2 | Expired | Expired; excluded from the batch response. |
| 3 | Deleted | Soft-deleted; excluded from the batch response. |
GET /api/v1/service/purchase/ip/{orderId} to query a non-deleted order individually.expireAt as well as status, because expiration status updates are asynchronous. These are order lifecycle values, not payment status or channel status values.curl --location '/api/v1/service/ip/query' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orderIds": [
"string"
]
}'{
"data": [
{
"userId": "user_example_001",
"ownerType": 0,
"ownerId": "user_example_001",
"createdBy": "user_example_001",
"updatedBy": "user_example_001",
"orderId": "22222222-2222-4222-8222-222222222222",
"name": "Example ISP Order",
"type": "ISP",
"status": 1,
"createdByServiceId": "service_example_001",
"totalPrice": 6,
"discount": 1,
"period": 30,
"expireAt": "2026-10-15T02:00:00.000Z",
"createdAt": "2026-09-15T02:00:00.000Z",
"updatedAt": "2026-09-15T02:00:00.000Z",
"proxies": [
{
"subOrderId": "11111111-1111-4111-8111-111111111111",
"productId": "product_example_us_001",
"basePrice": 3,
"region": "US",
"city": "New York",
"scene": "general",
"proxy": "192.0.2.10:8000:exampleuser:ExamplePass001",
"expireAt": "2026-10-15T02:00:00.000Z"
},
{
"subOrderId": "11111111-1111-4111-8111-111111111111",
"productId": "product_example_us_001",
"basePrice": 3,
"region": "US",
"city": "New York",
"scene": "general",
"proxy": "192.0.2.11:8000:exampleuser:ExamplePass001",
"expireAt": "2026-10-15T02:00:00.000Z"
}
],
"number": 2
}
],
"err": false,
"msg": "SUCCESS",
"code": 200
}